%define upstream_name    Catalyst-Log-Log4perl
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Integrates Log::Log4perl with Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.600.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Log::Log4perl) >= 1.40.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides a the Catalyst::Log manpage implementation that uses
the Log::Log4perl manpage as the underlying log mechanism. It provides all
the methods listed in the Catalyst::Log manpage, with the exception of:

    levels
    enable
    disable

These methods simply return 0 and do nothing, as similar functionality is
already provided by the Log::Log4perl manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.60.0-8pclos2017
- rebuild against updates

